> ## Documentation Index
> Fetch the complete documentation index at: https://bytebeam.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Return paginated progress of actions per device



## OpenAPI

````yaml get /api/v1/actions/{id}/device_actions
openapi: 3.0.1
info:
  title: Consoled REST APIs
  description: |-
    Once you have gone through the documentation on Bytebeam Cloud, 
                                              you might want to integrate Bytebeam programmatically in your own applications. 
                                              Our REST API is available to you for performing all operations you can do on the Cloud platform UI.
  termsOfService: https://bytebeam.io/terms
  version: 0.0.1
servers:
  - url: https://cloud.bytebeam.io/
security:
  - apiKeyAuth: []
    tenantAuth: []
tags:
  - name: admin
    description: Admin APIs
  - name: devices
    description: Device Management
  - name: data
    description: Data Access APIs
  - name: logs
    description: Audit Logs
  - name: misc
    description: Miscellaneous
externalDocs:
  description: Product Documentation
  url: https://bytebeam.io/docs
paths:
  /api/v1/actions/{id}/device_actions:
    get:
      tags:
        - devices
      summary: Return paginated progress of actions per device
      parameters:
        - name: page
          in: query
          schema:
            type: integer
            format: int64
        - name: limit
          in: query
          schema:
            type: integer
            format: int64
        - name: status
          in: query
          style: form
          explode: true
          schema:
            type: array
            items:
              type: string
        - name: phase
          in: query
          schema:
            type: integer
            format: int64
        - name: id
          in: path
          required: true
          schema:
            type: integer
            format: int64
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeviceActionsResponse'
            application/transit+msgpack:
              schema:
                $ref: '#/components/schemas/DeviceActionsResponse'
            application/transit+json:
              schema:
                $ref: '#/components/schemas/DeviceActionsResponse'
            application/edn:
              schema:
                $ref: '#/components/schemas/DeviceActionsResponse'
components:
  schemas:
    DeviceActionsResponse:
      required:
        - count
        - device_actions
      type: object
      properties:
        device_actions:
          type: array
          items:
            $ref: '#/components/schemas/DeviceAction'
        count:
          type: integer
          format: int64
      additionalProperties: false
    DeviceAction:
      required:
        - action_id
        - action_status
        - device_id
        - errors
        - phase
        - progress
        - status
        - updated_at
      type: object
      properties:
        action_status:
          type: string
        errors:
          type: object
        params:
          type: string
        phase:
          type: integer
          format: int64
        type:
          type: string
        user_email:
          type: string
        action_id:
          type: integer
          format: int64
        updated_at:
          type: string
          format: date-time
        '-serial_metadata':
          $ref: '#/components/schemas/SerialKeySchema'
        status:
          type: string
        user_name:
          type: string
        device_id:
          type: object
        progress:
          type: integer
          format: int64
        created_at:
          type: string
          format: date-time
      additionalProperties: false
    SerialKeySchema:
      type: object
      additionalProperties:
        type: string
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      name: x-bytebeam-api-key
      in: header
      description: API key required to authenticate requests.
    tenantAuth:
      type: apiKey
      name: x-bytebeam-tenant
      in: header
      description: Tenant(Project) name required to identify the project.

````